Subject: recursive Cywin make with ClearCase clearmake on WinNT cannot go 2 deep
From: "Guy T. Moore Jr." <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 28 Feb 2000 13:28:29 -0500

Cygwin/ClearCase users groups:

I am on WinNT 4.0 using ClearCase 3.2.1-20, and using Cygwin v1.0 as my SHELL.

I can't seem to execute Cygwin's make and have it call clearmake which
then calls clearmake one more time.

If I keep the test to only using make,      then it works.
If I keep the test to only using clearmake, then it works.
If I call clearmake first, then use make inside the makefile, then it works.

I just can't call make first then be using clearmake inside the makefile.

Anybody run into this problem?  and then have a solution...

----------------------------------------------------------------
Reproduction:

$ cat temp.mak
SHELL=c:/Cygwin/bin/sh.exe

one:
        @echo "inside one"
        clearmake -C gnu -kw -f temp.mak two

two:
        @echo "inside two"
        clearmake -C gnu -kw -f temp.mak three

three:
        @echo "inside three"

----------------------------------------------------------------
$ make  -k -f temp.mak one                             <--- Using make initially
inside one
clearmake -C gnu -kw -f temp.mak two
clearmake[1]: Entering directory "v:\vobsTransact\build"
        echo "inside two"                              <--- failure. It does not execute this.
        clearmake -C gnu -kw -f temp.mak three         <--- failure. It does not execute this.

clearmake[1]: Leaving directory "v:\vobsTransact\build"
$

----------------------------------------------------------------
$ clearmake -C gnu -k -f temp.mak one                  <--- Using clearmake initially
inside one
        clearmake -C gnu -kw -f temp.mak two
clearmake[1]: Entering directory "v:\vobsTransact\build"
inside two                                             <---- Success
        clearmake -C gnu -kw -f temp.mak three
clearmake[2]: Entering directory "v:\vobsTransact\build"
inside three                                           <---- Even further Success

clearmake[2]: Leaving directory "v:\vobsTransact\build"
clearmake[1]: Leaving directory "v:\vobsTransact\build"
$

Thanks

Guy Moore
Open Market

Reason why I need this capability.
Some targets build programs that ask for input from user.
clearmake does not support interactive programs, thus must use make
from start to finish. Other targets I want to use clearmake.
So there is a decision process embedded in the makefiles whether to 
switch to different makes and would like to keep them there.

(Aside: clearmake does NOT work with Cygwin B20. 
        clearmake DOES     work with Cygwin v1.0   withoug modifications to sh.exe 
       although I have other issues with Cygwin v1.0 whereas v1.0 does not behave
       like b20. Some for the better, some for the worse.)

--
Want to unsubscribe from this list?
Send a message to [email-masked]